Subject: bug#74781: [PATCH] Add `browse-url-qutebrowser'

From: Robert Pluim <[email-masked]>
Date: Wed, 11 Dec 2024 16:44:27 +0100

>>>>> On Wed, 11 Dec 2024 16:12:23 +0100, Daniel Mendler via "Bug reports for GNU Emacs, the Swiss army knife of text editors" <[email-masked]> said:

    Daniel> Hello Eli,
    Daniel> thanks. I added the version tags, the NEWS entry, improved the
    Daniel> docstrings and use `xdg-runtime-dir' now. See the updated patch
    Daniel> attached to this mail.

    >>> +         (sock (and dir (expand-file-name
    >>> +                         (format "qutebrowser/ipc-%s" (md5 (user-login-name)))
    >>> +                         dir))))
    >> 
    >> I think Qutebrowser is available on Windows, where we don't (yet)
    >> support local sockets.  So I think there should be some kind of test
    >> for running on Windows, and falling back to alternatives.

    Daniel> On Windows, the socket won't be there, and the new Qutebrowser window
    Daniel> will be opened by the newly executed Qutebrowser process via
    Daniel> `call-process'. This will work but is unfortunately slower.

And it will check for the socket for every URL. Could you perhaps test
whether to use the socket or not just once, and then use the
appropriate call?

Robert
--